html,
body {
  align-items: center;
  display: flex;
  margin: auto;
  justify-content: center;
}

body {
  height: 100%;
  overflow: hidden;
}

.container {
  background: #283048;  /* fallback for old browsers */
  background: -webkit-linear-gradient(to right, #f6dde8, #fab48c, #170266, #051545);  /* Chrome 10-25, Safari 5.1-6 */
  background: linear-gradient(to right, #f6dde8, #fab48c, #170266, #051545); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari */
  background-size: 800% 800%;
  animation: gradient 500s ease infinite;
}

@keyframes gradient {
  0% {
      background-position: 0% 50%;
  }
  50% {
      background-position: 100% 50%;
  }
  100% {
      background-position: 0% 50%;
  }
}

.svg {
    display: block;
    text-align: center;
}

.rotate {
  animation: rotation 120s infinite linear;
  transform-origin: 50% 50%;
}

.rotate2 {
  animation: rotation 140s infinite linear;
  transform-origin: 50% 50%;
}

.rotate3 {
  animation: rotation 160s infinite linear;
  transform-origin: 50% 50%;
}

.rotate4 {
  animation: rotation 180s infinite linear;
  transform-origin: 50% 50%;
}

.rotate5 {
  animation: rotation 200s infinite linear;
  transform-origin: 50% 50%;
}

.rotate6 {
  animation: rotation 220s infinite linear;
  transform-origin: 50% 50%;
}

@keyframes rotation {
  from {
     transform: rotate(0deg);
  }
  to {
     transform: rotate(360deg);
  }
}

@keyframes strokeColour {
  0%,100%  {stroke: white;}
  10%  {stroke: black;}
  20%  {stroke: grey;}
  30%  {stroke: red;}
  40%  {stroke: orange;}
  50%  {stroke: yellow;}
  60%  {stroke: green;}
  70%  {stroke: blue;}
  80%  {stroke: grey;}
  90%  {stroke: black;}
}

.strokeColour {
  stroke: white;
  animation: strokeColour 180s ease infinite;
}

* {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
  -webkit-tap-highlight-color: transparent;
  -webkit-touch-callout: none;
}
